Subject: Re: iSCSI: Draft-07, URL and names/addresses

From: "Julian Satran" <[email-masked]>
Date: Thu, 26 Jul 2001 08:16:00 +0300

I think you will want to leave the examples. Julo

Mark Bakke <[email-masked]> on 25-07-2001 20:27:07

Please respond to Mark Bakke <[email-masked]>

To:   Jim Hafner/Almaden/IBM@IBMUS
cc:   [email-masked]
Subject:  Re: iSCSI: Draft-07, URL and names/addresses

Jim-

You're right; I don't think we need the URL stuff anymore,
and we don't specify iSCSI names and addresses in the same
string in iSCSI anymore.  If there are no strong objections,
I'll remove the section you mentioned.  The iSCSI name
examples in the section still apply.  Should we keep them,
throw them, or move them to an appendix with the other
examples?

--
Mark

Jim Hafner wrote:
>
> Folks,
>
> The current draft (07) specifies different ways that iSCSI names and
> addresses are to be used:
>
> a) Within the protocol useage itself is the InitiatorName (or TargeName)
> keys used in Login and in the context of SendTargets along with
> TargetAddress.
>
> b) Section 1.2.7 describes formatting of these names and addresses as
URLs.
> These URLs are never used within the context of the protocol.  Such a
> format *might* be used in a GUI or some other application but specifying
> how is beyond the scope of this standard.
>
> Consequently, to avoid confusion with name/address formats, I suggest
that
> the text that begins in 1.2.7 paragraph 6 with
>       "The iSCSI Name is incorporated as part of the address.  An iSCSI
> address is specified as a URL, such as:...
> and up to but not including the paragraph that starts:
>       "To assist..."
> be deleted.   It might be replaced with a reference to the SendTargets
> Appendix where names and addresses are formatted within the protocol.
>
> Comments?
>
> Jim Hafner

--
Mark A. Bakke
Cisco Systems
[email-masked]
763.398.1054